From 260acb8293b957774eae26aa0374860e28a5a71e Mon Sep 17 00:00:00 2001
From: Thomas Munro <thomas.munro@enterprisedb.com>
Date: Fri, 1 Dec 2017 15:34:23 +1300
Subject: [PATCH] Update documentation to mention huge pages on other OSes.

Currently the docs imply that only Linux can use huge pages.  That's not quite
true: it's just that Linux is the only OS where we know how to request them
explicitly.

Author: Thomas Munro
Reviewed-By: Justin Pryzby
Discussion: https://postgr.es/m/CAEepm=3qzR-hfjepymohuC4XO5phxoSoipOjm6BEhnJHjNR+jg@mail.gmail.com
---
 doc/src/sgml/config.sgml | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 3060597011d..c104bb66217 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -1363,7 +1363,7 @@ include_dir 'conf.d'
       </term>
       <listitem>
        <para>
-        Enables/disables the use of huge memory pages. Valid values are
+        Controls whether huge memory pages are requested. Valid values are
         <literal>try</literal> (the default), <literal>on</literal>,
         and <literal>off</literal>.
        </para>
@@ -1371,6 +1371,13 @@ include_dir 'conf.d'
        <para>
         At present, this feature is supported only on Linux. The setting is
         ignored on other systems when set to <literal>try</literal>.
+        Note that some other operating systems including FreeBSD and Illumos
+        can use huge pages (also known as "super" pages or "large" pages)
+        automatically without an explicit request from
+        <productname>PostgreSQL</productname>. Linux
+        also has an optional "transparent huge pages" feature, but its
+        performance has shown to be inferior to that of explicitly requested
+        huge pages on some versions.
        </para>
 
        <para>
-- 
2.15.0

